<?php
namespace Modules\Reports\BspStructure\AirlineReport;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;


class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [PHP_INT_MAX];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()
			->append(ListingColumn::create('airline'))
			->append(ListingColumn::create('iata'))
			->append(ListingColumn::create('iataNo'))
			->append(ListingColumn::create('currency'))
			->append(ListingColumn::create('totalCash'))
			->append(ListingColumn::create('totalCc'))
			->append(ListingColumn::create('refundedCash'))
			->append(ListingColumn::create('refundedCc'))
			->append(ListingColumn::create('fareCash'))
			->append(ListingColumn::create('fareCc'))
			->append(ListingColumn::create('taxCash'))
			->append(ListingColumn::create('taxCc'))
			->append(ListingColumn::create('commission'))
			->append(ListingColumn::create('vat'))
			->append(ListingColumn::create('totalToPay')
				->addCssClass('totals')
			)
		->loadLabels($this->lang['index']['listingColumns'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());

	}
}
